Package: org.gradle.ide.visualstudio.plugins

## [Java] Class Rules

- org.gradle.ide.visualstudio.plugins.VisualStudioPlugin.Rules

- Model rules.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `createTasksForVisualStudio(TaskContainer tasks, org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension)`
    `static void` | `createVisualStudioModelForBinaries(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension, BinaryContainer binaryContainer)`
    `static void` | `includeBuildFileInProject(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudio, org.gradle.api.internal.project.ProjectIdentifier projectIdentifier)`
    `static org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal` | `visualStudio(org.gradle.internal.service.ServiceRegistry serviceRegistry)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @org.gradle.model.Mutate @SuppressWarnings("GroovyUnusedDeclaration") public static void createTasksForVisualStudio(TaskContainer tasks, org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension)

    - #### @org.gradle.model.Mutate @SuppressWarnings("GroovyUnusedDeclaration") public static void createVisualStudioModelForBinaries(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension, BinaryContainer binaryContainer)

    - #### @org.gradle.model.Mutate public static void includeBuildFileInProject(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudio, org.gradle.api.internal.project.ProjectIdentifier projectIdentifier)

    - #### @org.gradle.model.Model public static org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudio(org.gradle.internal.service.ServiceRegistry serviceRegistry)